function strcity(city,fsname,fcname) {
	if (fsname==null){fsname="StrSheng";}
 	if (fcname==null){fcname="StrCity";}
    switch (document.form1[fsname].value) { 
        case "安徽省" :
            var cityOptions = new Array(
            "安庆市", "安庆市",
            "蚌埠市", "蚌埠市",
            "巢湖市", "巢湖市",
            "池州市", "池州市",
            "滁州市", "滁州市",
            "阜阳市", "阜阳市",
            "合肥市", "合肥市",
            "淮南市", "淮南市",
            "黄山市", "黄山市",
            "六安市", "六安市",
            "马鞍山市", "马鞍山市",
            "铜陵市", "铜陵市",
            "芜湖市", "芜湖市",
            "宣阳市", "宣阳市",
			"");break;
        case "澳门" :
            var cityOptions = new Array(
            "澳门市", "澳门市",
			"");break;
        case "北京" :
            var cityOptions = new Array(
            "北京市", "北京市",
			"");break;
        case "福建省" :
            var cityOptions = new Array(
            "福州市", "福州市",
            "龙岩市", "龙岩市",
            "南平市", "南平市",
            "宁德市", "宁德市",
            "莆田市", "莆田市",
            "泉州市", "泉州市",
            "三明市", "三明市",
            "厦门市", "厦门市",
            "漳州市", "漳州市",
			"");break;
        case "甘肃省" :
            var cityOptions = new Array(
            "金昌市", "金昌市",
            "兰州市", "兰州市",
			"");break;
        case "广东省" :
            var cityOptions = new Array(
            "潮州市", "潮州市",
            "从化市", "从化市",
            "东莞市", "东莞市",
            "佛山市", "佛山市",
            "广州市", "广州市",
            "河源市", "河源市",
            "惠州市", "惠州市",
            "江门市", "江门市",
            "揭阳市", "揭阳市",
            "茂名市", "茂名市",
            "清远市", "清远市",
            "汕头市", "汕头市",
            "汕尾市", "汕尾市",
            "韶关市", "韶关市",
            "深圳市", "深圳市",
            "顺德市", "顺德市",
            "增城市", "增城市",
            "湛江市", "湛江市",
            "肇庆市", "肇庆市",
            "中山市", "中山市",
            "珠海市", "珠海市",
			"");break;
        case "广西" :
            var cityOptions = new Array(
            "北海市", "北海市",
            "桂林市", "桂林市",
            "柳州市", "柳州市",
            "南宁市", "南宁市",
			"");break;
        case "贵州省" :
            var cityOptions = new Array(
            "贵阳市", "贵阳市",
            "遵义市", "遵义市",
			"");break;
        case "海南省" :
            var cityOptions = new Array(
            "海口市", "海口市",
            "三亚市", "三亚市",
			"");break;
        case "河北省" :
            var cityOptions = new Array(
            "保定市", "保定市",
            "廊坊市", "廊坊市",
            "秦皇岛市", "秦皇岛市",
            "石家庄市", "石家庄市",
            "唐山市", "唐山市",
			"");break;
        case "河南省" :
            var cityOptions = new Array(
            "开封市", "开封市",
            "洛阳市", "洛阳市",
            "郑州市", "郑州市",
			"");break;
        case "黑龙江" :
            var cityOptions = new Array(
            "大庆市", "大庆市",
            "哈尔滨市", "哈尔滨市",
            "佳木斯市", "佳木斯市",
            "牡丹江市", "牡丹江市",
            "齐齐哈尔市", "齐齐哈尔市",
            "绥化市", "绥化市",
            "伊春市", "伊春市",
			"");break;
        case "湖北省" :
            var cityOptions = new Array(
            "鄂州市", "鄂州市",
            "黄石市", "黄石市",
            "荆门市", "荆门市",
            "荆州市", "荆州市",
            "十堰市", "十堰市",
            "武汉市", "武汉市",
            "襄樊市", "襄樊市",
            "孝感市", "孝感市",
            "宜昌市", "宜昌市",
			"");break;
        case "湖南省" :
            var cityOptions = new Array(
            "长沙市", "长沙市",
            "常德市", "常德市",
            "郴州市", "郴州市",
            "衡阳市", "衡阳市",
            "怀化市", "怀化市",
            "娄底市", "娄底市",
            "邵阳市", "邵阳市",
            "湘潭市", "湘潭市",
            "益阳市", "益阳市",
            "永州市", "永州市",
            "岳阳市", "岳阳市",
            "张家界市", "张家界市",
            "株洲市", "株洲市",
			"");break;
        case "吉林省" :
            var cityOptions = new Array(
            "长春市", "长春市",
            "吉林市", "吉林市",
            "辽源市", "辽源市",
            "通化市", "通化市",
			"");break;
        case "江苏省" :
            var cityOptions = new Array(
            "常熟市", "常熟市",
            "常州市", "常州市",
            "昆山市", "昆山市",
            "连云港市", "连云港市",
            "南京市", "南京市",
            "南通市", "南通市",
            "苏州市", "苏州市",
            "无锡市", "无锡市",
            "徐州市", "徐州市",
            "盐城市", "盐城市",
            "扬州市", "扬州市",
            "张家港市", "张家港市",
            "镇江市", "镇江市",
			"");break;
        case "江西省" :
            var cityOptions = new Array(
            "九江市", "九江市",
            "南昌市", "南昌市",
			"");break;
        case "辽宁省" :
            var cityOptions = new Array(
            "鞍山市", "鞍山市",
            "本溪市", "本溪市",
            "大连市", "大连市",
            "丹东市", "丹东市",
            "抚顺市", "抚顺市",
            "葫芦岛市", "葫芦岛市",
            "锦州市", "锦州市",
            "辽阳市", "辽阳市",
            "沈阳市", "沈阳市",
            "铁岭市", "铁岭市",
            "营口市", "营口市",
			"");break;
        case "内蒙古" :
            var cityOptions = new Array(
            "包头市", "包头市",
            "赤峰市", "赤峰市",
            "呼和浩特市", "呼和浩特市",
			"");break;
        case "宁夏" :
            var cityOptions = new Array(
            "银州市", "银州市",
			"");break;
        case "青海省" :
            var cityOptions = new Array(
            "西宁市", "西宁市",
			"");break;
        case "山东省" :
            var cityOptions = new Array(
            "德州市", "德州市",
            "东营市", "东营市",
            "济南市", "济南市",
            "济宁市", "济宁市",
            "临沂市", "临沂市",
            "青岛市", "青岛市",
            "日照市", "日照市",
            "泰安市", "泰安市",
            "威海市", "威海市",
            "潍坊市", "潍坊市",
            "烟台市", "烟台市",
            "淄博市", "淄博市",
			"");break;
        case "山西省" :
            var cityOptions = new Array(
            "大同市", "大同市",
            "临汾市", "临汾市",
            "太原市", "太原市",
            "运城市", "运城市",
			"");break;
        case "陕西省" :
            var cityOptions = new Array(
            "宝鸡市", "宝鸡市",
            "铜川市", "铜川市",
            "西安市", "西安市",
            "咸阳市", "咸阳市",
            "延安市", "延安市",
			"");break;
        case "上海" :
            var cityOptions = new Array(
            "浦东", "浦东",
            "上海市", "上海市",
            "杨浦", "杨浦",
			"");break;
        case "四川省" :
            var cityOptions = new Array(
            "成都市", "成都市",
            "德阳市", "德阳市",
            "锦阳市", "锦阳市",
            "乐山市", "乐山市",
            "泸州市", "泸州市",
            "内江市", "内江市",
            "攀枝花市", "攀枝花市",
            "宜宾市", "宜宾市",
            "自贡市", "自贡市",
			"");break;
        case "台湾" :
            var cityOptions = new Array(
            "台湾", "台湾",
			"");break;
        case "天津" :
            var cityOptions = new Array(
            "天津市", "天津市",
			"");break;
        case "西藏" :
            var cityOptions = new Array(
            "拉萨市", "拉萨市",
            "日喀则市", "日喀则市",
			"");break;
        case "香港" :
            var cityOptions = new Array(
            "香港市", "香港市",
			"");break;
        case "新疆" :
            var cityOptions = new Array(
            "喀什市", "喀什市",
            "克拉玛依市", "克拉玛依市",
            "乌鲁木齐市", "乌鲁木齐市",
			"");break;
        case "云南省" :
            var cityOptions = new Array(
            "大理市", "大理市",
            "个旧市", "个旧市",
            "红河州", "红河州",
            "湖州市", "湖州市",
            "开远市", "开远市",
            "昆明市", "昆明市",
            "丽江市", "丽江市",
            "蒙自市", "蒙自市",
            "曲靖市", "曲靖市",
            "玉溪市", "玉溪市",
			"");break;
        case "浙江省" :
            var cityOptions = new Array(
            "杭州市", "杭州市",
            "嘉兴市", "嘉兴市",
            "金华市", "金华市",
            "丽水市", "丽水市",
            "宁波市", "宁波市",
            "衢州市", "衢州市",
            "绍兴市", "绍兴市",
            "台州市", "台州市",
            "温州市", "温州市",
            "舟山市", "舟山市",
			"");break;
        case "重庆" :
            var cityOptions = new Array(
            "巴南区", "巴南区",
            "重庆市", "重庆市",
			"");break;
        default:
            var cityOptions = new Array("", "");
            break;    }
document.form1[fcname].options.length = 0;
for(var i = 0; i < cityOptions.length/2-1; i++) {
document.form1[fcname].options[i]=new Option(cityOptions[i*2],cityOptions[i*2+1]);
if (document.form1[fcname].options[i].value==city) {
document.form1[fcname].selectedIndex = i; }	}}
function initprovcity(province,city,fsname,fcname) {
if (fsname==null){fsname="StrSheng";}
if (fcname==null){fcname="StrCity";}
var provObject = document.form1[fsname];
for(var i = 0; i < document.form1[fsname].options.length; i++) {
if (document.form1[fsname].options[i].value==province)        {
document.form1[fsname].selectedIndex = i;        }    }
strcity(city,fsname,fcname);}
